{
  buildPythonApplication,
  setuptools,
  beautifulsoup4,
  requests,
  matplotlib,
  sqlite,
  ...
}:
let
  pname = "tuh-activity-logger";
  version = "1.0";
in
buildPythonApplication {
  inherit pname version;
  src = builtins.path {
    path = ../src/tuhmayto/.;
    name = "${pname}-${version}";
  };
  pyproject = true;
  build-system = [ setuptools ];
  dependencies = [
    sqlite
    beautifulsoup4
    requests
    matplotlib
  ];
}
